/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -p proxy dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#ifndef PROXY_H_1601991643
#define PROXY_H_1601991643

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>

/*
 * Proxy class for interface org.bluez.mesh.Attention1
 */
class OrgBluezMeshAttention1Interface: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.bluez.mesh.Attention1"; }

public:
    OrgBluezMeshAttention1Interface(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~OrgBluezMeshAttention1Interface();

public Q_SLOTS: // METHODS
    inline QDBusPendingReply<ushort> GetTimer(ushort element)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(element);
        return asyncCallWithArgumentList(QLatin1String("GetTimer"), argumentList);
    }

    inline QDBusPendingReply<> SetTimer(uchar element_index, ushort timer)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(element_index) << QVariant::fromValue(timer);
        return asyncCallWithArgumentList(QLatin1String("SetTimer"), argumentList);
    }

Q_SIGNALS: // SIGNALS
};

namespace org {
  namespace bluez {
    namespace mesh {
      typedef ::OrgBluezMeshAttention1Interface Attention1;
    }
  }
}
#endif
